Skip to main content

Extract Audio

Curated Reference

This page is maintained from curated documentation data.

POSTffmpeg.extract_audio

Create an audio-only export from source media.

Request Body

{
"jsonrpc": "2.0",
"id": "ffmpeg-extract-audio-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.extract_audio",
"arguments": {
"source_url": "https://cdn.example.com/video/interview.mp4",
"audio_format": "mp3",
"bitrate": "128k"
}
}
}

Arguments Schema

{
"type": "object",
"required": [
"source_url",
"audio_format"
],
"properties": {
"source_url": {
"type": "string"
},
"audio_format": {
"type": "string"
},
"bitrate": {
"type": "string"
}
},
"additionalProperties": false
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ffmpeg-extract-audio-example",
"method": "tools/call",
"params": {
"name": "ffmpeg.extract_audio",
"arguments": {
"source_url": "https://cdn.example.com/video/interview.mp4",
"audio_format": "mp3",
"bitrate": "128k"
}
}
}'

Example Responses

{
"ok": true,
"output_url": "https://cdn.example.com/output/interview.mp3"
}